	subroutine lbtgcm(month,xmb)

	dimension d(8),tt(2),sw(25),x(37),f(37),df(37)

	common/atm/zt(37),zu(37),y(37)

	data ap/4./
	data (sw(i),i=1,25)/25*1./
	data rs,bc,poo,go/8.31432,1.38054e-23,1.01325e+05,9.80665/
	data re,omega/6356766.,.72722e-04/

	pi=acos(-1.)

	iyd=15+30*(month-1)

C_________________________________________________________________________

C                xmb = level in mb (input)
C              month = month (input)
C               x(i) = array of colatitudes
C               y(i) = array of zonal mean zonal mean heights (meters)
C                      at xmb (output)
C              zt(i) = array of zonal mean temperatures at xmb (output)
C              zu(i) = array of zonal mean winds at xmb (output)

C_________________________________________________________________________

	do 2 i=1,37
	colat=float(i-1)*5.*pi/180.
	x(i)=colat

	deglat=90.-float(i-1)*5.

	sw(7)=0.
	sw(8)=0.
	sw(14)=0.
	call tselec(sw)

        call ghp6(iyd,0.,z,deglat,285.,12.,flux,flux,ap,d,tt,xmb)
	xn=(d(1)+d(2)+d(3)+d(4)+d(5)+d(7))*1.0e+06
        y(i)=z*1000.
        zt(i)=tt(2)

2       continue

C_________________________________________________________________________

	dtheta=5.*pi/180.
	omega=2.*pi/(24.*3600.)

C  First, take care of points away from equator and poles:

	do 4 i=1,37
4	f(i)=y(i)
	call det3(dtheta,f,df,37,ier)

	do 5 i=4,16

	coeff=go/(2.*omega*re*cos(x(i)))

	zu(i)=coeff*df(i)

5	continue

	do 6 i=22,34
	coeff=go/(2.*omega*re*cos(x(i)))

	zu(i)=coeff*df(i)

6	continue

C   Equatorial points; linear interpolation between +15,-15 degrees latitude

	do 7 i=17,21
7       zu(i)=zu(16)+float(i-16)*(zu(22)-zu(16))/6.

C   Points above 70 degrees; smooth transition to zero at pole

	xlatn=70.*pi/180.
	do 8 i=1,4
	xlat=(90.-float(i-1)*5.)*pi/180.
	zu(i)=zu(5)*cos(xlat)/cos(xlatn)
8       zu(38-i)=zu(33)*cos(xlat)/cos(xlatn)

	return
	end

